Bug 805922 - during repo clone or local syncs, pulp ignores any additional files part of treeinfo
during repo clone or local syncs, pulp ignores any additional files part of t...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pradeep Kilambi
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 09:08 EDT by Pradeep Kilambi
Modified: 2013-09-09 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-25 10:13:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2012-03-22 09:08:27 EDT
Description of problem:

We only account for images directory during clone and local sync process. But there could be other files such as Server/repodata that needs to be accounted for in RHEL-5 case.
Comment 1 Pradeep Kilambi 2012-03-22 14:54:13 EDT
commit 193942db69afb15830ed64be28ede47aa0afd1f2
Author: Pradeep Kilambi <pkilambi@redhat.com>
Date:   Thu Mar 22 14:52:13 2012 -0400

    805922 - adding sync logic to look for server directory during clone/local syncs
Comment 2 Jeff Ortel 2012-03-26 12:00:51 EDT
build: 1.0.0-7
Comment 3 Preethi Thomas 2012-03-26 20:57:59 EDT
verified

[root@qe-blade-15 ~]# rpm -q pulp
pulp-1.0.0-8
[root@qe-blade-15 ~]# 

Rhel5 repo from CDN

[root@qe-blade-15 ~]# ls -l /var/lib/pulp/repos/content/dist/rhel/rhui/server/5/5.8/x86_64/os/Server/repodata/
total 80
lrwxrwxrwx 1 apache apache 158 Mar 26 13:38 41edf16632c20fa5d78fabb196c4aa0189a60eec-other.sqlite.bz2 -> ../../../../../../../../../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/41edf16632c20fa5d78fabb196c4aa0189a60eec-other.sqlite.bz2
lrwxrwxrwx 1 apache apache 169 Mar 26 13:38 61de24a90a8f9fc4b7815289cbbb830ccc93830f-comps-rhel5-server-core.xml -> ../../../../../../../../../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/61de24a90a8f9fc4b7815289cbbb830ccc93830f-comps-rhel5-server-core.xml
lrwxrwxrwx 1 apache apache 154 Mar 26 13:38 6a0bdcb6d83fe2bc9d7e73a36ef8db117ffd91a6-other.xml.gz -> ../../../../../../../../../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/6a0bdcb6d83fe2bc9d7e73a36ef8db117ffd91a6-other.xml.gz
lrwxrwxrwx 1 apache apache 160 Mar 26 13:38 8645da9ba2470eb0aab996fa3d444ca1a4a0b0f6-primary.sqlite.bz2 -> ../../../../../../../../../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/8645da9ba2470eb0aab996fa3d444ca1a4a0b0f6-primary.sqlite.bz2
lrwxrwxrwx 1 apache apache 158 Mar 26 13:38 8d10d276fc380eec64ad04746c1513ef29fe2148-filelists.xml.gz -> ../../../../../../../../../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/8d10d276fc380eec64ad04746c1513ef29fe2148-filelists.xml.gz
lrwxrwxrwx 1 apache apache 162 Mar 26 13:38 a87263a52c57a014182832c26cbb966983442504-filelists.sqlite.bz2 -> ../../../../../../../../../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/a87263a52c57a014182832c26cbb966983442504-filelists.sqlite.bz2
lrwxrwxrwx 1 apache apache 172 Mar 26 13:38 a8becaff89f5026f4445156fe4522384e0944afd-comps-rhel5-server-core.xml.gz -> ../../../../../../../../../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/a8becaff89f5026f4445156fe4522384e0944afd-comps-rhel5-server-core.xml.gz
lrwxrwxrwx 1 apache apache 156 Mar 26 13:38 d7c5db98d5d2e1ecdaf5daf93eaf9ad9ed4b8155-primary.xml.gz -> ../../../../../../../../../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/d7c5db98d5d2e1ecdaf5daf93eaf9ad9ed4b8155-primary.xml.gz
lrwxrwxrwx 1 apache apache 113 Mar 26 13:38 productid.gz -> ../../../../../../../../../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/productid.gz
lrwxrwxrwx 1 apache apache 111 Mar 26 13:38 repomd.xml -> ../../../../../../../../../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/repomd.xml


After clone

[root@qe-blade-15 ~]# ls -l /var/lib/pulp/repos/rhel5-clone/
drpms/    images/   Packages/ repodata/ Server/   treeinfo  
[root@qe-blade-15 ~]# ls -l /var/lib/pulp/repos/rhel5-clone/Server/repodata/
total 80
lrwxrwxrwx 1 apache apache 134 Mar 26 17:04 41edf16632c20fa5d78fabb196c4aa0189a60eec-other.sqlite.bz2 -> ../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/41edf16632c20fa5d78fabb196c4aa0189a60eec-other.sqlite.bz2
lrwxrwxrwx 1 apache apache 145 Mar 26 17:04 61de24a90a8f9fc4b7815289cbbb830ccc93830f-comps-rhel5-server-core.xml -> ../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/61de24a90a8f9fc4b7815289cbbb830ccc93830f-comps-rhel5-server-core.xml
lrwxrwxrwx 1 apache apache 130 Mar 26 17:04 6a0bdcb6d83fe2bc9d7e73a36ef8db117ffd91a6-other.xml.gz -> ../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/6a0bdcb6d83fe2bc9d7e73a36ef8db117ffd91a6-other.xml.gz
lrwxrwxrwx 1 apache apache 136 Mar 26 17:04 8645da9ba2470eb0aab996fa3d444ca1a4a0b0f6-primary.sqlite.bz2 -> ../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/8645da9ba2470eb0aab996fa3d444ca1a4a0b0f6-primary.sqlite.bz2
lrwxrwxrwx 1 apache apache 134 Mar 26 17:04 8d10d276fc380eec64ad04746c1513ef29fe2148-filelists.xml.gz -> ../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/8d10d276fc380eec64ad04746c1513ef29fe2148-filelists.xml.gz
lrwxrwxrwx 1 apache apache 138 Mar 26 17:04 a87263a52c57a014182832c26cbb966983442504-filelists.sqlite.bz2 -> ../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/a87263a52c57a014182832c26cbb966983442504-filelists.sqlite.bz2
lrwxrwxrwx 1 apache apache 148 Mar 26 17:04 a8becaff89f5026f4445156fe4522384e0944afd-comps-rhel5-server-core.xml.gz -> ../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/a8becaff89f5026f4445156fe4522384e0944afd-comps-rhel5-server-core.xml.gz
lrwxrwxrwx 1 apache apache 132 Mar 26 17:04 d7c5db98d5d2e1ecdaf5daf93eaf9ad9ed4b8155-primary.xml.gz -> ../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/d7c5db98d5d2e1ecdaf5daf93eaf9ad9ed4b8155-primary.xml.gz
lrwxrwxrwx 1 apache apache  89 Mar 26 17:04 productid.gz -> ../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/productid.gz
lrwxrwxrwx 1 apache apache  87 Mar 26 17:04 repomd.xml -> ../../../../distributions/ks-Red Hat Enterprise Linux Server-None-5.8-x86_64/repomd.xml
[root@qe-blade-15 ~]#
Comment 4 Preethi Thomas 2012-05-25 10:13:08 EDT
Pulp v1.1 Release

Note You need to log in before you can comment on or make changes to this bug.